(repo reorg) Identify all pip-installable dependencies of kuma and add them to pip requirements file

RESOLVED FIXED

Status

--
minor
RESOLVED FIXED
4 years ago
3 years ago

People

(Reporter: jbennett, Unassigned)

Tracking

Details

(Whiteboard: [dev-papercut])

(Reporter)

Description

4 years ago
As a second step on bug 1057293, we should identify every Python module that can be pip-installed, and instead of bundling it in vendor add a line for it (pinning to appropriate version as necessary) to our pip requirements file.
Severity: normal → minor
Whiteboard: [dev-papercut]

Updated

4 years ago
Component: General → Code Cleanup

Comment 1

4 years ago
Ubernostrum, would you be willing to mentor a contributor through this? (second verse, same as the first...)
Flags: needinfo?(jbennett)
(Reporter)

Comment 2

4 years ago
This one... could be a bug for a contributor to tackle with assistance. If someone really wants to jump on it, let me know and I'll see what I can do to help. Otherwise I'll likely just do it myself once the larger/scarier bits of reorg are done.

The main reason I can think of for why this might *not* be a good community/contributor bug, btw, is that I'm not sure yet whether it would require changes to our deployment process. That will require some investigation up-front.
Flags: needinfo?(jbennett)
(Reporter)

Updated

4 years ago
Blocks: 1116333
(Reporter)

Updated

4 years ago
Depends on: 1116344
Status: NEW → RESOLVED
Last Resolved: 3 years ago
Resolution: --- → FIXED
You need to log in before you can comment on or make changes to this bug.